import request from '@/utils/request'

// 查询美国不合格商品展示列表
export function listUs(query) {
  return request({
    url: '/bus/us/list',
    method: 'get',
    params: query
  })
}

// 查询美国不合格商品展示详细
export function getUs(id) {
  return request({
    url: '/bus/us/' + id,
    method: 'get'
  })
}

// 新增美国不合格商品展示
export function addUs(data) {
  return request({
    url: '/bus/us',
    method: 'post',
    data: data
  })
}

// 修改美国不合格商品展示
export function updateUs(data) {
  return request({
    url: '/bus/us',
    method: 'put',
    data: data
  })
}

// 删除美国不合格商品展示
export function delUs(id) {
  return request({
    url: '/bus/us/' + id,
    method: 'delete'
  })
}
// 手动触发爬虫
export function manualCrawl() {
  return request({
    url: '/bus/us/manual',
    method: 'post'
  })
}

